### Method

# Gtk Widget set_tooltip_markup

#### Declaration [src]

    void
    gtk_widget_set_tooltip_markup (
      GtkWidget* widget,
      const char* markup
    )

#### Description [src]

Sets the contents of the tooltip for widget.

`markup` must contain Pango markup.

This function will take care of setting the `GtkWidget:has-tooltip` as a side effect, and of the default handler for the `GtkWidget::query-tooltip` signal.

See also `gtk_tooltip_set_markup()`.

Sets property | `Gtk.Widget:tooltip-markup`

#### Parameters

`markup`

  Type: `const char*`

  The contents of the tooltip for `widget`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.